<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iCelPropertyClass Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ac70770cd5367393b7c5ff8948cc4e8c4">AddPropertyChangeCallback</a>(iCelPropertyChangeCallback *cb)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#aedd94ad88ef06ce28c8265dbf786c29a">GetEntity</a>()=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#abbbc7a02c9fed6b7faaadef34a5431ca">GetName</a>() const =0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#aa2c16dfc478ee3f5abfa59adb6cb48e4">GetPersistentData</a>(celPersistenceType persistence_type)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a9ac210ddf1bcc7b2f81fce00a86e20d3">GetPropertyAndActionCount</a>()=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a22695e69c30bc5cfd13aed6fc75dce2e">GetPropertyBoolByID</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a19fd53e71b18c86882865e543fff5370">GetPropertyColorByID</a>(csStringID propertyID, csColor &amp;v)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#af0d10f8aad18f05f8c8e8ca430d8ea69">GetPropertyEntityByID</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ac1d065d484f8a66f3db15b2a2c7927ff">GetPropertyFloatByID</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#aff8191d0544f1b861f151985cb5f6b50">GetPropertyIBaseByID</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ab66ae5334a74e23fb1bf1731c28a62ef">GetPropertyLongByID</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#abf9bde220adcd2dd2234b63eb2e88b03">GetPropertyOrActionDescription</a>(csStringID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a2219a9b1961fcd08e790cc9b89902f8c">GetPropertyOrActionID</a>(size_t i)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a1fb38848eebfa5475c52df4ce1ff3fa1">GetPropertyOrActionType</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a024696a20e287d373daf17dea43d3232">GetPropertyPClassByID</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a29dfac8cc28fbb1c572868d32fad350e">GetPropertyStringByID</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a104c2170cec3a98191bab896c651c052">GetPropertyVectorByID</a>(csStringID propertyID, csVector2 &amp;v)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a5a89a282cd5e4288668285169a3cb4fb">GetPropertyVectorByID</a>(csStringID propertyID, csVector3 &amp;v)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a852cb0ae0e167bd91228442bc9f2b983">GetTag</a>() const =0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a84c10b3e2da530d5e704691cf2277544">IsPropertyReadOnly</a>(csStringID propertyID)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#adf8f476c98087ee14ab57841757c1885">Load</a>(iCelDataBuffer *databuf)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#aee594ba4ddae27c61d7a7d20f526e826">LoadFirstPass</a>(iCelDataBuffer *databuf)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a4c92554e60d83f4e69dd442360ae0956">PerformAction</a>(csStringID actionID, iCelParameterBlock *params, celData &amp;ret)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#af530504ecbc1b499e0bb230b11db1548">PropertyClassesHaveChanged</a>()=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ab2c23f0735d20cf2cf7ff6932cb5388b">QueryObject</a>()=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#abfe26c6414dca745816cd65b40df94a7">RemovePropertyChangeCallback</a>(iCelPropertyChangeCallback *cb)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a8c5e094d742ab099be618f3327f4fd54">Save</a>()=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#af9edd0e77d8046e9b1fe05ff23a2927a">SaveFirstPass</a>()=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a898a39b6e49e36ed54cf3dd3966cc334">SetEntity</a>(iCelEntity *entity)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a90dace25f236f7940672d34dee9bb53c">SetName</a>(const char *name)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a460573f03fe5b2b85c0bee31c35c938a">SetPersistentData</a>(csTicks data_time, iCelDataBuffer *data, celPersistenceType persistence_type)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ae5923aa79bf54d542cb6d760fe444b40">SetProperty</a>(csStringID propertyID, long value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ae48352529c0dc20286260849b6b625d8">SetProperty</a>(csStringID propertyID, float value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a85196fecdf0d1cc32a994284e986dcfd">SetProperty</a>(csStringID propertyID, bool value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ac74d975a95d98de9223941792418b8d0">SetProperty</a>(csStringID propertyID, const char *value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#aeb1f04adb0177905a61a4a97c4362d0f">SetProperty</a>(csStringID propertyID, const csVector2 &amp;value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a906edd96f54af7b4eb78064c8f15e6a7">SetProperty</a>(csStringID propertyID, const csVector3 &amp;value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a58dfee00b8fc5c4488865bf58a091d72">SetProperty</a>(csStringID propertyID, const csColor &amp;value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ad48ae52e45efdcc8ffa8aa8575b994a8">SetProperty</a>(csStringID propertyID, iCelPropertyClass *value)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#ae1de1b4180c01ac04e1e5bcd5fd3ed74">SetProperty</a>(csStringID propertyID, iCelEntity *entity)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#a03b527f0e56b03af2b01c38fa71e6e70">SetProperty</a>(csStringID propertyID, iBase *ibase)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPropertyClass.html#adf05a4da86fc02ddbb9a71f954f57a22">SetTag</a>(const char *tagname)=0</td><td><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
